<?xml version="1.0" encoding="UTF-8"?>
<tables>
	<table name="t_widgetbased" schema="square">
		<variable name="pk" type="serial" />
		<variable name="key" type="text" comment="unique key" />
		<variable name="value" type="jsonb" isnull="true" comment="the value" />
		<variable name="fk_functioninputtype" type="integer" />
		<variable name="type_restriction" type="jsonb" isnull="true" />
		<variable name="order_nr" type="integer" />
		<primarykey name="pk_widgetbased" variable="pk" />
		<unique name="uk_widgetbased" variable="key" />
		<foreignkey name="fk_widgetbased_fit" variable="fk_functioninputtype" references="square.t_functioninputtype(pk)" />
    <grant privilege="select,insert,update,delete" username="interface_square" />
    <grant privilege="select" username="interface_rserver" />
	</table>
</tables>